<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxVps\App\UI\Home\Forms;

use ModulesGarden\Servers\ProxmoxVps\App\UI\Home\Providers\MigrateProvider;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Helpers\AlertTypesConstants;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Widget\Forms\Fields\Select;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Widget\Forms\Fields\Switcher;

class MigrateForm extends BaseForm implements AdminArea
{
    public function initContent()
    {
        $this->initIds('migrateForm');
        $this->setFormType('update');
        $this->setProvider(new MigrateProvider());
        $this->setInternalAlertMessage('confirmMigrate');
        $this->setInternalAlertMessageType(AlertTypesConstants::DANGER);
        $this->initFields();
        $this->loadDataToForm();
    }

    public function getAllowedActions()
    {
        return ['update'];
    }

    private function initFields()
    {
        //target
        $this->addField(new Select('target'));
        //online
        $this->addField((new Switcher('online'))->setDescription('tip'));
    }
}